Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.quality
[Groovy] Class JDepend

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.plugins.quality.JDepend

All Implemented Interfaces:
  Reporting

    class JDepend
    extends DefaultTask

Analyzes code with JDepend.

Property Summary
`File` | `classesDir` The directory containing the classes to be analyzed.
`FileCollection` | `jdependClasspath` The class path containing the JDepend library to be used.

Method Summary
`File` | `getClassesDir()` Returns the directory containing the classes to be analyzed.
`JDependReports` | `getReports()` The reports to be generated by this task.
`JDependReports` | `reports(Closure closure)` Configures the reports to be generated by this task.
`void` | `run()`

Property Detail

### classesDir

    @InputDirectory
    File classesDir

  The directory containing the classes to be analyzed.

### jdependClasspath

    @InputFiles
    FileCollection jdependClasspath

  The class path containing the JDepend library to be used.

Method Detail

### getClassesDir

    @SkipWhenEmpty
    File getClassesDir()

  Returns the directory containing the classes to be analyzed.

### getReports

    JDependReports getReports()

  The reports to be generated by this task.
  Returns:
    The reports container.

### reports

    JDependReports reports(Closure closure)

  Configures the reports to be generated by this task. The contained reports can be configured by name and closures. Example:

       jdependTask {
         reports {
           xml {
             destination "build/jdepend.xml"
           }
         }
       }

  Parameters:
    `closure` - The configuration
  Returns:
    The reports container

### run

    @TaskAction
    void run()

Gradle API 1.1-rc-1